Zeitgeist.Index – zeitgeist-2.0 Reference Manual

# Index

## Object Hierarchy:

## Description:

public class Index : QueuedProxyWrapper

Query the Zeitgeist Full Text Search Extension

include: zeitgeist.h

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Creation methods:

- public Index ()
  Create a new index that interfaces with the default event index of the Zeitgeist daemon.

### Methods:

- protected override void on_connection_established ()
- protected override void on_connection_lost ()
- public async ResultSet search (`string` query, TimeRange time_range, `GenericArray`<Event> event_templates, `uint32` offset, `uint32` num_events, ResultType result_type, `Cancellable`? cancellable = null) throws `Error`
  Perform a full text search possibly restricted to a TimeRange and/or set of event templates.
- public async ResultSet search_with_relevancies (`string` query, TimeRange time_range, `GenericArray`<Event> event_templates, StorageState storage_state, `uint32` offset, `uint32` num_events, ResultType result_type, `Cancellable`? cancellable = null, out `double`[] relevancies) throws `Error`
  Perform a full text search possibly restricted to a TimeRange and/or set of event templates. As opposed to zeitgeist_index_search(), this call will also return numeric relevancies of the events in the ResultSet .

### Inherited Members:

All known members inherited from class Zeitgeist.QueuedProxyWrapper

- proxy_created
- is_connected
- proxy_acquired

- proxy_unavailable
- process_queued_methods
- name_owner_changed

- on_connection_established
- on_connection_lost
- wait_for_proxy

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count